<div class="card-header d-flex justify-content-between">
  <div>
    <strong i18n="@@cd.cart.headline.countItems">{(itemsInCart$ | async), plural, =0 {No item} =1 {One item} other {{{(itemsInCart$ | async)}} items}}</strong>
  </div>
  <div>
    <strong *ngIf="(currentItems$ |async)?.length > 0">{{(currentSum$ | async)|currency}}</strong>
  </div>
</div>
<div>

  <ul class="list-group list-group-flush" *ngIf="(currentItems$ |async)?.length > 0">
    <li class="d-block" *ngFor="let product of (currentItems$ |async); index as i;">
      <app-cart-entry [product]="product"
                      [isLastChangedItem]="(lastChangedItem$ | async) === product"
                      (productDeleted)="onProductRemoved(i)"></app-cart-entry>
    </li>
  </ul>
</div>
<div class="card-body d-flex flex-column justify-content-center align-items-center"
     style="height: 50vh; width: 100%"
     *ngIf="(currentItems$ |async)?.length === 0 && (currentCard$|async) !== null  && router.url === '/cashdesk'">
  <div class="card-text pb-3 text-center" i18n="@@cd.cart.panel.addItemsToCartInfo">Add items to cart<br><br>or</div>
  <div>
    <a routerLink="/charge" class="btn btn-outline-light btn-lg" matRipple [matRippleColor]="'hsla(0, 0%, 0%, 0.4)'">
      <fa-icon [icon]="['fas','money-bill-wave']"></fa-icon>
      <br><span i18n="@@cd.cart.panel.chargeAccount">Charge Account</span></a>
  </div>
</div>
